package SGN::View::Mason::Commands;
use strict;
use vars qw($m $c);
HTML::Mason::Component::FileBased->new(
'code' => sub {
use utf8; local $SGN::View::Mason::Commands::m = $HTML::Mason::Commands::m;
$m->debug_hook( $m->current_comp->path ) if ( HTML::Mason::Compiler::IN_PERL_DB() );

#line 1 "/home/production/cxgn/sgn/mason/search/people.mas"
$m->print( '
' );
#line 5 "/home/production/cxgn/sgn/mason/search/people.mas"
$m->print( '
' );
#line 6 "/home/production/cxgn/sgn/mason/search/people.mas"
$m->comp(   '/util/import_javascript.mas', classes => [ 'jquery', 'jquery.dataTables' ]   
); #line 6 "/home/production/cxgn/sgn/mason/search/people.mas"
$m->print( '

' );
#line 8 "/home/production/cxgn/sgn/mason/search/people.mas"
$m->comp(   '/page/page_title.mas', title=>'Search People'   
); #line 8 "/home/production/cxgn/sgn/mason/search/people.mas"
$m->print( '

<div class="row" id="people_search_form" >
  <div class="col-sm-1">
  </div>
  <div class="col-sm-10 well">
    <div class="row">

  <div class="col-sm-6">
    <div class="form-horizontal">
      <div class="form-group">
        <label class="col-sm-6 control-label">Last Name: </label>
        <div class="col-sm-6" >
          <input type="text" class="form-control" id="last_name" />
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-6 control-label">First Name: </label>
        <div class="col-sm-6" >
          <input type="text" class="form-control" id="first_name" />
        </div>
      </div>
    </div>
  </div>
  <div class="col-sm-6">
    <div class="form-horizontal">
      <div class="form-group">
        <label class="col-sm-6 control-label">Organization: </label>
        <div class="col-sm-6" >
          <input type="text" class="form-control" id="organization" />
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-6 control-label">Country: </label>
        <div class="col-sm-6" >
          <input type="text" class="form-control" id="country" />
        </div>
      </div>
    </div>
  </div>
  <center>
    <button class="btn btn-primary" id="submit_people_search" >Search</button>
  </center>

    </div>
  </div>
  <div class="col-sm-1">
  </div>
</div>

<!--
<div id="people_search_form">
<table width="100%">
<tr><td><label for="last_name">Last name</label></td>
<td><input id="last_name" /><br /></td><td><label for="first_name">First name</label></td><td><input id="first_name" /><br /></td></tr>
<tr><td><label for="organization">Organization</label></td><td><input id="organization" /><br /></td><td><label for="country">Country</label></td><td><input id="country" /><br /></td></tr>
<tr><td colspan="4" align="right">
<button id="submit_people_search" >Search</button>
</td></tr></table>
</div>
-->

<br /><br />

<table id="people_search_results" class="display">
<thead>
  <tr>
    <th>Last name</th>
    <th>First name</th>
    <th>Organization</th>
    <th>Country</th>
</tr>
</thead>

</table>

' );
#line 84 "/home/production/cxgn/sgn/mason/search/people.mas"
$m->comp(   '/util/import_css.mas', paths => ['/documents/inc/datatables/jquery.dataTables.css']   
); #line 84 "/home/production/cxgn/sgn/mason/search/people.mas"
$m->print( '



<script>

jQuery(document).ready(function () {

   var table = jQuery(\'#people_search_results\').DataTable( { 
   
     \'searching\' : false,
     \'ordering\'  : false,
     \'processing\': true,
     \'serverSide\': true,
     \'ajax\': { \'url\':  \'/ajax/search/people\',
               \'data\': function(d) { 
                  d.first_name = jQuery(\'#first_name\').val();
                  d.last_name  = jQuery(\'#last_name\').val();
                  d.organization = jQuery(\'#organization\').val();
                  d.country = jQuery(\'#country\').val();
             }
         }
     });


   jQuery(\'#submit_people_search\').click( function() { 
       table.search("").draw();
   });



   jQuery(\'#people_search_form\').keypress( function( e ) {
     var code = e.keyCode || e.which;

     if( code === 13 ) {
         jQuery(\'#submit_people_search\').click();   
     }
   });
});



  
</script>
' );
;return;
},
'load_time' => 1730059168,

)
;